> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-efa94f7d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Request User Data

> This endpoint prepares the user data. After a 202 response from this API, the client will receive the user data via a webhook.



## OpenAPI

````yaml post /privacy/v1/user-data
openapi: 3.1.0
info:
  title: User Privacy API
  description: API for managing user privacy and data.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Privacy
    description: API for managing user privacy and related data.
paths:
  /privacy/v1/user-data:
    post:
      summary: Request User Data
      description: >-
        This endpoint prepares the user data. After a 202 response from this
        API, the client will receive the user data via a webhook.
      responses:
        '202':
          description: User data processed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_info:
                    type: object
                    properties:
                      username:
                        type: string
                        example: test_uid
                        description: user identifier.
        '409':
          description: 'Conflict: Request already in progress.'
        '500':
          description: Internal server error.
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````